#ifndef EDITSCENE_ENTITYNAME_HPP
#define EDITSCENE_ENTITYNAME_HPP
#pragma once
#include <Ogre.h>

/**
 * Name component for Flecs entities
 * Used for display in the hierarchy window
 */
struct EntityNameComponent {
	Ogre::String name;

	EntityNameComponent() = default;

	explicit EntityNameComponent(const Ogre::String &n)
		: name(n)
	{
	}
};

#endif // EDITSCENE_ENTITYNAME_HPP
